Skip to main content
GET
/
api
/
v1
/
usage
/
job_status
/
{job_id}
Retrieve Usage Data Batch Job Status
curl --request GET \
  --url https://api.justpaid.io/api/v1/usage/job_status/{job_id} \
  --header 'Authorization: Bearer <token>'
{ "job_id": "a4f8e9be-3d5b-4f8e-8b4d-9b4e5c9f5a2d", "status": "PROCESSING", "created_at": "2023-10-10T10:00:00Z", "updated_at": "2023-10-10T10:02:00Z", "errors": null, "info": null, "total_events": 100 }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string<uuid>
required

The UUID of the batch job.

Response

Successfully retrieved the batch job status.

job_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
errors
any[] | null
info
Info · object | null
total_events
integer | null